
{                              Actions.inc              Version 1.0  86/08/19

 Author: Mike Babulic    Compuserve ID: 72307,314   FIDO: 134/1
         3827 Charleswood Dr. N.W.
         Calgary, Alberta,
         CANADA
         T2L 2C7

 This does the same thing as the ACTIONS procedure in EVENT.ENG. It takes
 11 clock cycles less to execute, but adds 7 bytes/call. If you are truly
 concerned about execution time, the best approach is to save the ActionPtr
 returned in a variable and use the variable rather than calling the
 "ActionArrayInside" function.

 Usually used with the "Event Engine" in a function of the form:

     function ActionsArrayInside: ActionPtr;
       begin
         (*$I ACTIONS.inc*)
         include( >3         (* 3 events *)
                 /proc1      (* do this on event #1 *)
                 /proc2      (* do this on event #2 *)
                 /proc3      (* do this on event #3 *)
         );
       end;

 Causes the function to return a pointer to the ActionArray that follows
 this $include;
}
inline(   $89/$EC               { MOV SP,BP   ; TURBO return sequence    }
         /$5D                   { POP BP                                 }
         /$8C/$CA               { MOV DX,CS   ; Pointer result to DX:AX  }
         /$B8/>*+5              { MOV AX,*+4  ;   start of ActionArray   }
         /$C2/>4                { RET 4       ; return                   }
      );
